|  | Home · All Classes · Modules

# QStyleOptionViewItem Class Reference
[QtGui module]

The QStyleOptionViewItem class is used to describe the parameters used to draw an item in a view widget. More...

Inherits QStyleOption.

Inherited by QStyleOptionViewItemV2.

### Types

- enum Position { Left, Right, Top, Bottom }
- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionViewItem)

### Members

- Qt.Alignment decorationAlignment
- Position decorationPosition
- QSize decorationSize
- Qt.Alignment displayAlignment
- QFont font
- bool showDecorationSelected
- Qt.TextElideMode textElideMode

## Detailed Description

The QStyleOptionViewItem class is used to describe the parameters used to draw an item in a view widget.

QStyleOptionViewItem contains all the information that QStyle functions need to draw the items for Qt's model/view classes.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and Model/View Programming.

## Type Documentation

### QStyleOptionViewItem.Position

This enum describes the position of the item's decoration.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItem.Left` | `0` | On the left of the text.
`QStyleOptionViewItem.Right` | `1` | On the right of the text.
`QStyleOptionViewItem.Top` | `2` | Above the text.
`QStyleOptionViewItem.Bottom` | `3` | Below the text.

See also decorationPosition.

### QStyleOptionViewItem.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItem.Type` | `SO_ViewItem` | The type of style option provided (SO_ViewItem for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionViewItem.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionViewItem.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionViewItem.__init__ (self)

Constructs a QStyleOptionViewItem, initializing the members variables to their default values.

### QStyleOptionViewItem.__init__ (self, QStyleOptionViewItem)

Constructs a copy of the other style option.

## Member Documentation

### Qt.Alignment decorationAlignment

This variable holds the alignment of the decoration for the item.

The default value is Qt.AlignLeft.

### Position decorationPosition

This variable holds the position of the decoration for the item.

The default value is Left.

See also Position.

### QSize decorationSize

This variable holds the size of the decoration for the item.

The default value is QSize(-1, -1), i.e. an invalid size.

See also decorationAlignment and decorationPosition.

### Qt.Alignment displayAlignment

This variable holds the alignment of the display value for the item.

The default value is Qt.AlignLeft.

### QFont font

This variable holds the font used for the item.

By default, the application's default font is used.

See also QFont.

### bool showDecorationSelected

This variable holds whether the decoration should be highlighted on selected items.

If this option is true, the branch and any decorations on selected items should be highlighted, indicating that the item is selected; otherwise, no highlighting is required. The default value is false.

See also QStyle.SH_ItemView_ShowDecorationSelected and QAbstractItemView.

### Qt.TextElideMode textElideMode

This variable holds where ellipsis should be added for text that is too long to fit into an item.

The default value is Qt.ElideMiddle, i.e. the ellipsis appears in the middle of the text.

See also Qt.TextElideMode and QStyle.SH_ItemView_EllipsisLocation.